SystemOrganization addCategory: #ConfigurationOfFamiliar!

Object subclass: #ConfigurationOfFamiliar
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfFamiliar'!

!ConfigurationOfFamiliar class methodsFor: 'development support' stamp: 'AlexandreBergel 7/1/2012 16:10'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfFamiliar class methodsFor: 'private' stamp: 'AlexandreBergel 7/1/2012 16:10'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfFamiliar class methodsFor: 'private' stamp: 'AlexandreBergel 7/1/2012 16:10'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfFamiliar class methodsFor: 'private' stamp: 'AlexandreBergel 7/1/2012 16:10'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfFamiliar class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 7/1/2012 16:10'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfFamiliar class methodsFor: 'loading' stamp: 'AlexandreBergel 7/1/2012 16:10'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfFamiliar class methodsFor: 'loading' stamp: 'AlexandreBergel 7/1/2012 16:10'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfFamiliar class methodsFor: 'loading' stamp: 'AlexandreBergel 7/1/2012 16:10'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfFamiliar class methodsFor: 'accessing' stamp: 'AlexandreBergel 7/1/2012 16:10'!
project

	^self new project! !

!ConfigurationOfFamiliar class methodsFor: 'development support' stamp: 'AlexandreBergel 7/1/2012 16:10'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfFamiliar methodsFor: 'baselines' stamp: 'AlexandreBergel 7/1/2012 16:10'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Familiar'.
		spec package: 'Familiar'.
		spec group: 'default' with: #('Familiar' ). ].
! !

!ConfigurationOfFamiliar methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 7/25/2013 12:00'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.45'.
! !

!ConfigurationOfFamiliar methodsFor: 'accessing' stamp: 'AlexandreBergel 7/1/2012 16:10'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/3/2012 13:53'!
version010: spec
	<version: '0.10' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.9 : added kind for each feature (e.g., isOptional, isOr)
0.10 : Added better popupText in the Complexity view'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/3/2012 13:53'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.10'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/3/2012 15:32'!
version011: spec
	<version: '0.11' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.10 : Added better popupText in the Complexity view
0.11 : Packaged the thing. Take the constraints into accounts'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/3/2012 15:32'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.11'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/3/2012 16:16'!
version012: spec
	<version: '0.12' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.11 : Packaged the thing. Take the constraints into accounts
0.12 : A bit of refactoring in the visualizations. Decoupled and works better'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/3/2012 16:16'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.12'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/3/2012 17:05'!
version013: spec
	<version: '0.13' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.12 : A bit of refactoring in the visualizations. Decoupled and works better
0.13 : Worked on the Moose Importer. Can select a file now'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/3/2012 17:05'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.13'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/3/2012 18:56'!
version014: spec
	<version: '0.14' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.13 : Worked on the Moose Importer. Can select a file now
0.14 : Worked on the highlighting'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/3/2012 18:56'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.14'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/4/2012 12:45'!
version015: spec
	<version: '0.15' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.14 : Worked on the highlighting
0.15 : the visualization is now available within the moose finder. Really handy!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/4/2012 12:45'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.15'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/4/2012 17:39'!
version016: spec
	<version: '0.16' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.15 : the visualization is now available within the moose finder. Really handy!!
0.16 : added impliedBy and implying. Need excluding'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/4/2012 17:39'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.16'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/6/2012 10:55'!
version017: spec
	<version: '0.17' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.16 : added impliedBy and implying. Need excluding
0.17 : All tests are green now'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/6/2012 10:55'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.17'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/6/2012 11:47'!
version018: spec
	<version: '0.18' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.17 : All tests are green now
0.18 : Improved the Moose command. Using the impliedBy and implying in the complexity view'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/6/2012 11:47'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.18'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/6/2012 17:00'!
version019: spec
	<version: '0.19' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.18 : Improved the Moose command. Using the impliedBy and implying in the complexity view
0.19 : many improvement. Added an implication view. Removed the dependency of if:popupText:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/6/2012 17:00'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.19'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/1/2012 16:10'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 : First shoot!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/1/2012 16:10'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.1'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/6/2012 17:05'!
version020: spec
	<version: '0.20' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.19 : many improvement. Added an implication view. Removed the dependency of if:popupText:
0.20 : mendatory -> mandatory'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/6/2012 17:05'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.20'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/6/2012 17:52'!
version021: spec
	<version: '0.21' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.20 : mendatory -> mandatory
0.21 : Added exclude in red and the width border.'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/6/2012 17:52'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.21'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/7/2012 14:18'!
version022: spec
	<version: '0.22' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.21 : Added exclude in red and the width border.
0.22 : All tests are green!! I finally properly parse the whole thing :-)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/7/2012 14:18'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.22'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/19/2012 17:29'!
version023: spec
	<version: '0.23' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.22 : All tests are green!! I finally properly parse the whole thing :-)
0.23 : Started to encode SPINE'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/19/2012 17:29'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.23'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/20/2012 10:13'!
version024: spec
	<version: '0.24' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.23 : Started to encode SPINE
0.24 : Started to work on domain elements'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/20/2012 10:13'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.24'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/21/2012 17:56'!
version025: spec
	<version: '0.25' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.24 : Started to work on domain elements
0.25 : working on eating the trace!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/21/2012 17:56'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.25'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/22/2012 09:25'!
version026: spec
	<version: '0.26' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.25 : working on eating the trace!!
0.26 : completed the parsing'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/22/2012 09:25'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.26'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/22/2012 09:39'!
version027: spec
	<version: '0.27' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.26 : completed the parsing
0.27 : printing facilities'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/22/2012 09:39'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.27'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/23/2012 08:50'!
version028: spec
	<version: '0.28' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.27 : printing facilities
0.28 : subclassing MooseEntity'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/23/2012 08:50'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.28'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/23/2012 10:34'!
version029: spec
	<version: '0.29' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.28 : subclassing MooseEntity
0.29 : working on Spine. All tests are green'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/23/2012 10:34'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.29'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/2/2012 00:28'!
version02: spec
	<version: '0.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 : First shoot!!
0.2 : Integrated with Moose'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/2/2012 00:28'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.2'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/23/2012 11:13'!
version030: spec
	<version: '0.30' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.29 : working on Spine. All tests are green
0.30 : Having features explicit in the trace'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/23/2012 11:13'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.30'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/23/2012 11:42'!
version031: spec
	<version: '0.31' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.30 : Having features explicit in the trace
0.31 : Added a few metrics on the features'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/23/2012 11:42'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.31'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 11/23/2012 12:24'!
version032: spec
	<version: '0.32' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.31 : Added a few metrics on the features
0.32 : Integration with Moose'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/23/2012 12:24'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.32'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 12/7/2012 08:42'!
version033: spec
	<version: '0.33' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.32 : Integration with Moose
0.33 : Merged with last version + minor cleaning'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/7/2012 08:42'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.47'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 12/13/2012 11:43'!
version034: spec
	<version: '0.34' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.33 : Merged with last version + minor cleaning
0.34 : bug fixed with the key. Last version of Simon'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/13/2012 11:43'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.52'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 12/14/2012 10:27'!
version035: spec
	<version: '0.35' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.34 : bug fixed with the key. Last version of Simon
0.35 : bug fixed in the visualization. Simon has removed all the collections of length 1.'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/14/2012 10:27'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.53'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 12/18/2012 14:31'!
version036: spec
	<version: '0.36' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.35 : bug fixed in the visualization. Simon has removed all the collections of length 1.
0.36 : 
	- added a new example
	- added a check phase when doing the resolve. The idea is to not accept a ill-defined trace
	- worked on the layout of assoc and rules'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/18/2012 14:31'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.55'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 12/18/2012 16:44'!
version037: spec
	<version: '0.37' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.36 : 
	- added a new example
	- added a check phase when doing the resolve. The idea is to not accept a ill-defined trace
	- worked on the layout of assoc and rules
0.37 : highlighting...'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/18/2012 16:44'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.57'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 12/18/2012 17:17'!
version038: spec
	<version: '0.38' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.37 : highlighting...
0.38 : Improved the visualization by highlighting impliedBy and implying features'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/18/2012 17:17'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.58'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 12/19/2012 13:20'!
version039: spec
	<version: '0.39' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.38 : Improved the visualization by highlighting impliedBy and implying features
0.39 : Added Frascati Single FM'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/19/2012 13:20'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.59'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/2/2012 01:17'!
version03: spec
	<version: '0.3' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.2 : Integrated with Moose
0.3 : Better support in Moose'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/2/2012 01:17'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.3'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/25/2013 05:37'!
version040: spec
	<version: '0.40' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.39 : Added Frascati Single FM
0.40 : updated with the last version of Roassal'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/25/2013 05:37'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.60'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/25/2013 06:32'!
version041: spec
	<version: '0.41' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.40 : updated with the last version of Roassal
0.41 : more flexible parsing and added assert:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/25/2013 06:32'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.61'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/25/2013 06:41'!
version042: spec
	<version: '0.42' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.41 : more flexible parsing and added assert:
0.42 : Added inspect menu for a feature'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/25/2013 06:41'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.62'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/25/2013 09:12'!
version043: spec
	<version: '0.43' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.42 : Added inspect menu for a feature
0.43 : small fix in the spine file importer '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/25/2013 09:12'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.63'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/25/2013 11:59'!
version044: spec
	<version: '0.44' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.43 : small fix in the spine file importer 
0.44 : Refactoring and writting tests'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/25/2013 11:59'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.64'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/25/2013 12:00'!
version045: spec
	<version: '0.45' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.44 : Refactoring and writting tests'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/25/2013 12:00'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.64'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/2/2012 11:10'!
version04: spec
	<version: '0.4' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.3 : Better support in Moose
0.4 : Introduced FMFeature. No more plain string'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/2/2012 11:10'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.4'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/2/2012 13:05'!
version05: spec
	<version: '0.5' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.4 : Introduced FMFeature. No more plain string
0.5 : Yeah, all the tests are green. The parsing of the production seems to be okay for now.'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/2/2012 13:05'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.5'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/2/2012 13:30'!
version06: spec
	<version: '0.6' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.5 : Yeah, all the tests are green. The parsing of the production seems to be okay for now.
0.6 : Added visitor on constraints'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/2/2012 13:30'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.6'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/2/2012 14:47'!
version07: spec
	<version: '0.7' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.6 : Added visitor on constraints
0.7 : 
  - Fixed bugs with feature -> Feature Model
  - Make more Moose compliant'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/2/2012 14:47'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.7'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/2/2012 16:43'!
version08: spec
	<version: '0.8' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.7 : 
  - Fixed bugs with feature -> Feature Model
  - Make more Moose compliant
0.8 : 
  - added CollectingVisitor>>elementsOfKind: , very convenient
  - added new tests for the hierarchy
  - added assigment group, useful for the visualization
  - added FMProgram>>featureNamed: . Quite useful in the test'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/2/2012 16:43'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.8'. ].
! !

!ConfigurationOfFamiliar methodsFor: 'versions' stamp: 'AlexandreBergel 7/2/2012 18:15'!
version09: spec
	<version: '0.9' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.8 : 
  - added CollectingVisitor>>elementsOfKind: , very convenient
  - added new tests for the hierarchy
  - added assigment group, useful for the visualization
  - added FMProgram>>featureNamed: . Quite useful in the test
0.9 : added kind for each feature (e.g., isOptional, isOr)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/2/2012 18:15'.
		spec package: 'Familiar' with: 'Familiar-AlexandreBergel.9'. ].
! !
